Bug 145720 - [PATCH] multimedia/vlc: plist incorrect WITHOUT_QT4
Summary: [PATCH] multimedia/vlc: plist incorrect WITHOUT_QT4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-15 13:00 UTC by Dmitry Marakasov
Modified: 2010-04-26 16:00 UTC (History)
1 user (show)

See Also:


Attachments
vlc_iconfix.diff (5.20 KB, patch)
2010-04-19 23:55 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2010-04-15 13:00:10 UTC
Plist is incorrect when vlc is built WITHOUT_QT4.

http://people.freebsd.org/~amdmi3/vlc-noqt4-1.0.5_2,3.log

All other options seem to work fine.

Port maintainer (jsa@wickedmachine.net) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-04-15 13:00:20 UTC
Maintainer of multimedia/vlc,

Please note that PR ports/145720 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145720

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-15 13:00:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Joseph S. Atkinson 2010-04-16 22:08:13 UTC
Let me take a look over the weekend. I am wanting to kill those two files anyway.
Comment 4 Joseph S. Atkinson 2010-04-19 23:55:34 UTC
This should do it. This kills the extra *vlc.desktop files and fixes the missing 
icon in one true share/applications/vlc.desktop. Now desktop users wont have 3 
vlc shortcuts, and the related plist error will just go away. Since this change 
will affect the default package, bump PORTREVISION.

Also, while I am here, convert some funky syntax to use @dirrmtry instead of 
@exec ${RMDIR} stuff in the plist. If this plist is correct, this should never 
be problematic. If it isn't, tinderboxes and portools will let us know.
Comment 5 dfilter service freebsd_committer 2010-04-26 15:55:05 UTC
amdmi3      2010-04-26 14:54:49 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/vlc       Makefile Makefile.inc 
  Removed files:
    multimedia/vlc/files qvlc.desktop svlc.desktop 
  Log:
  - Remove extra .desktop files, fix plist for WITHOUT_QT4 case
  
  PR:             145720
  Submitted by:   myself
  Fix by:         "Joseph S. Atkinson" <jsa.bsd@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.219     +1 -1      ports/multimedia/vlc/Makefile
  1.29      +11 -27    ports/multimedia/vlc/Makefile.inc
  1.2       +0 -10     ports/multimedia/vlc/files/qvlc.desktop (dead)
  1.2       +0 -10     ports/multimedia/vlc/files/svlc.desktop (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2010-04-26 15:55:14 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!